Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005081opensim[REGION] OpenSim Corepublic2010-10-08 08:582010-10-27 20:37
Reporterthickbrick 
Assigned Tothickbrick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005081: HTTP GET requests to the GetTexture cap return one less byte than requested.
DescriptionDoing
curl -r 0-599 <GetTexture cap url>?texture_id=<texture UUID> > file.j2c

Will result in a 599 bytes file, and the following http headers:
HTTP/1.1 206 PartialContent
Date: Fri, 08 Oct 2010 08:02:20 GMT
Content-Length: 599
Content-Type: text/html;charset=UTF-8
Server: Tiny WebServer
Connection: close

This should get 600 bytes, not 599. On other http servers (as well as SL sims) the file will be 600 bytes, as expected.

This was observed on 3rdRock grid, on OpenSim 0.6.9 (Post_Fixes) d6f14d5-r/13679 (Win/.NET)
And on OSGrid on OpenSim 0.6.9 (Post_Fixes) 76fd4cf: 2010-09-30 15:43:56 +0100 (Unix/Mono)
Tagstexture
Git Revision or version number76fd4cf
Run Mode Grid (1 Region per Sim)
Physics EngineBasicPhysics
Script Engine
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0016939)
thickbrick (reporter)
2010-10-08 16:54

Resolving this, as it was fixed in commit 5ef2da39d81c038c087b493330497856ed18325d :

* Fixing length calculations for HTTP texture downloads (the end byte is inclusive in Range: headers)

John Hurliman (author)
September 13, 2010

I also verified it's fixed in the binary Diva Distro 0.7.0.2 (OpenSim 0.7.0.2 Post_Fixes)
(0016944)
thickbrick (reporter)
2010-10-09 05:42

Re-opening to add a note that I was wrong above: This fix is not in 0.7.0.2 yet. (I hope changing to "Confirmed" and re-resolving doesn't cause too big a mess)

- Issue History
Date Modified Username Field Change
2010-10-08 08:58 thickbrick New Issue
2010-10-08 08:58 thickbrick Git Revision => 76fd4cf
2010-10-08 08:58 thickbrick SVN Revision => 0
2010-10-08 08:58 thickbrick Run Mode => Grid (1 Region per Sim)
2010-10-08 08:58 thickbrick Physics Engine => BasicPhysics
2010-10-08 08:58 thickbrick Environment => Unknown
2010-10-08 08:58 thickbrick Mono Version => None
2010-10-08 09:03 thickbrick Summary HTTP requests to the GetTexture cap return one less byte than requested. => HTTP GET requests to the GetTexture cap return one less byte than requested.
2010-10-08 09:03 thickbrick Description Updated
2010-10-08 16:54 thickbrick Note Added: 0016939
2010-10-08 16:54 thickbrick Status new => resolved
2010-10-08 16:54 thickbrick Resolution open => fixed
2010-10-08 16:54 thickbrick Assigned To => thickbrick
2010-10-09 05:38 thickbrick Tag Attached: texture
2010-10-09 05:42 thickbrick Note Added: 0016944
2010-10-09 05:42 thickbrick Status resolved => confirmed
2010-10-09 05:43 thickbrick Status confirmed => resolved
2010-10-27 20:37 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker